var ACMS = {
    'args'      : new Object(),
    'config'    : function(key, value)
    {
        if ( !key ) return false;
        if ( !value ) {
            return ( 'undefined' != typeof(this.args[key]) ) ? this.args[key] : '';
        } else {
            this.args[key]  = value;
            return true;
        }
    },
    'strval'    : function(arg)
    {
        if ( !arg ) return '';
        return String(arg);
    }
};

(function(){
    var elm = document.getElementById('acms-js');
    if ( !elm ) return false;
    var s   = elm.src.split('?');
    if ( 1 >= s.length ) return false;
    var query   = s[1];
    var s   = query.split('&');

    var args    = new Object();
    for ( var i=0; i<s.length; i++ ) {
        var param   = s[i].split('=');
        if ( 'undefined' == typeof(param[0]) ) continue;
        var key     = param[0];
        var value   = ('undefined' != typeof(param[1])) ? param[1] : key;
        args[key]   = decodeURIComponent(value);
    }

    ACMS.args   = args;

    ACMS.config('root', '/' + (ACMS.config('offset') ? ACMS.config('offset') + '/' : ''));
    ACMS.config('jsroot', ACMS.config('root') + ACMS.config('js-dir'));

    document.write('<script type="text/javascript" src="' + ACMS.config('jsroot') + 'jquery/jquery.js' + '"><' + '/script>');
    document.write('<script type="text/javascript" src="' + ACMS.config('jsroot') + 'acms/acms.js' + '" charset="UTF-8"><' + '/script>');
})();
